MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027869Open CASCADE[OCCT] OCCT:Visualizationpublic2016-09-14 00:312018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0027869: Visualization - AIS_ConnectedInteractive does not support exact HLR mode
DescriptionLooking at the code of AIS_ConnectedInteractive::Compute() and comparing it with corresponding method of AIS_Shape, I noticed that the former does not support exact HLR mode (Prs3d_TOH_Algo) supported by the latter. I suppose this inconsistency should be corrected.

Another difference is that in AIS_Shape call to HLR algorithm is protected by try/catch, while in AIS_ConnectedInteractive it is not protected and thus it breaks if HLR raises exception.
Steps To Reproduce
restore [locate_data_file CrankArm.brep] obj
vclear
vinit View1
vdisplay obj
vconnect new 50 50 50 obj
vfit
vhlr on -algoType algo
TagsNo tags attached.
Test case numberbugs vis bug27869
Attached Files

- Relationships
related to 0000129closedbugmaster Open CASCADE Object not selectable in the Cascade Viewer. 

-  Notes
(0070417)
git (administrator)
2017-09-10 23:46

Branch CR27869 has been created by kgv.

SHA-1: 25c1e34075dd9b06d0d73a16c525e0261ab1b26b


Detailed log of new commits:

Author: kgv
Date: Sun Sep 10 21:24:56 2017 +0300

    0027869: Visualization - AIS_ConnectedInteractive does not support exact HLR mode
    
    AIS_ConnectedInteractive now shares HLR computation code with AIS_Shape.
(0070418)
kgv (developer)
2017-09-10 23:47

Patch is ready for review.
(0070419)
git (administrator)
2017-09-10 23:50

Branch CR27869 has been updated forcibly by kgv.

SHA-1: bb47d234f2b37834b877442866d186379c045f5c
(0070742)
san (developer)
2017-09-21 17:05

Branch CR27869 reviewed without remarks, ready for testing.
(0070766)
git (administrator)
2017-09-21 22:10

Branch CR27869 has been updated forcibly by inv.

SHA-1: 4a7dc18187bec98e4302987663fbd3e262ad72c4
(0070776)
bugmaster (administrator)
2017-09-22 11:12

Combination -
OCCT branch : CR27869 SHA-1: 4a7dc18187bec98e4302987663fbd3e262ad72c4
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.


Number of compiler warnings:
No new/fixed compiler warnings

Regressions/Differences/Improvements:
http://occt-tests/CR27869-master-OCCT/Debian70-64/bugs/vis/bug129_1.html [^]
http://occt-tests/CR27869-master-OCCT/Windows-64-VC10/bugs/vis/bug129_1.html [^]

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case are OK
(0070801)
git (administrator)
2017-09-22 20:52

Branch CR27869 has been updated by kgv.

SHA-1: f7a1c029448d6d35a99d447dbf2ae99622e63a8e


Detailed log of new commits:

Author: kgv
Date: Fri Sep 22 20:52:27 2017 +0300

    BRepTools_WireExplorer::Orientation() now returns TopAbs_FORWARD
    instead of throwing exception in case of infinite Edge without vertices.
    
    StdSelect_BRepSelectionTool::GetSensitiveForFace() now creates Select3D_SensitiveCurve
    from 2 points in case of infinite Edge instead of Select3D_SensitiveFace.

(0070802)
git (administrator)
2017-09-22 20:55

Branch CR27869 has been updated forcibly by kgv.

SHA-1: 08a89f25d3262614fe6c66d240ed985ff4109edb
(0070803)
kgv (developer)
2017-09-22 23:41

Please review modifications in BRepTools_WireExplorer::Orientation().

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR27869-master-KGV [^]
(0070804)
msv (developer)
2017-09-23 14:39

Reviewed.
(0070827)
bugmaster (administrator)
2017-09-25 17:23

Combination -
OCCT branch : CR27869 SHA-1: 08a89f25d3262614fe6c66d240ed985ff4109edb
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.


Number of compiler warnings:
No new/fixed compiler warnings

Regressions/Differences/Improvements:
No Regressions/Differences/Improvements that require special attention

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case are OK
(0070995)
git (administrator)
2017-09-29 17:11

Branch CR27869 has been deleted by kgv.

SHA-1: 08a89f25d3262614fe6c66d240ed985ff4109edb

- Related Changesets
occt: master c7ba4578
Timestamp: 2017-09-10 18:24:56
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027869: Visualization - AIS_ConnectedInteractive does not support exact HLR mode

AIS_ConnectedInteractive now shares HLR computation code with AIS_Shape.

BRepTools_WireExplorer::Orientation() now returns TopAbs_FORWARD
instead of throwing exception in case of infinite Edge without vertices.

StdSelect_BRepSelectionTool::GetSensitiveForFace() now creates Select3D_SensitiveCurve
from 2 points in case of infinite Edge instead of Select3D_SensitiveFace.
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_WireExplorer.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - tests/bugs/vis/bug129_1 Diff ] File ]
add - tests/bugs/vis/bug27869 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-14 00:31 abv New Issue
2016-09-14 00:31 abv Assigned To => kgv
2016-09-14 00:36 abv Description Updated View Revisions
2016-11-03 17:38 abv Target Version 7.1.0 => 7.2.0
2017-07-20 10:56 kgv Target Version 7.2.0 => 7.4.0*
2017-09-10 23:46 git Note Added: 0070417
2017-09-10 23:47 kgv Note Added: 0070418
2017-09-10 23:47 kgv Assigned To kgv => san
2017-09-10 23:47 kgv Status new => resolved
2017-09-10 23:47 kgv Steps to Reproduce Updated View Revisions
2017-09-10 23:50 git Note Added: 0070419
2017-09-10 23:50 kgv Steps to Reproduce Updated View Revisions
2017-09-21 17:05 san Note Added: 0070742
2017-09-21 17:05 san Assigned To san => bugmaster
2017-09-21 17:05 san Status resolved => reviewed
2017-09-21 22:10 git Note Added: 0070766
2017-09-22 11:12 bugmaster Note Added: 0070776
2017-09-22 11:12 bugmaster Status reviewed => assigned
2017-09-22 11:12 bugmaster Test case number => bugs vis bug27869
2017-09-22 13:31 bugmaster Assigned To bugmaster => kgv
2017-09-22 13:31 bugmaster Status assigned => resolved
2017-09-22 13:31 bugmaster Assigned To kgv => bugmaster
2017-09-22 13:31 bugmaster Status resolved => reviewed
2017-09-22 13:31 bugmaster Status reviewed => tested
2017-09-22 13:56 kgv Assigned To bugmaster => kgv
2017-09-22 13:56 kgv Status tested => assigned
2017-09-22 20:52 git Note Added: 0070801
2017-09-22 20:55 git Note Added: 0070802
2017-09-22 20:56 kgv Relationship added related to 0000129
2017-09-22 23:41 kgv Note Added: 0070803
2017-09-22 23:41 kgv Assigned To kgv => msv
2017-09-22 23:41 kgv Status assigned => resolved
2017-09-23 14:39 msv Note Added: 0070804
2017-09-23 14:39 msv Assigned To msv => bugmaster
2017-09-23 14:39 msv Status resolved => reviewed
2017-09-25 17:23 bugmaster Note Added: 0070827
2017-09-25 17:23 bugmaster Status reviewed => tested
2017-09-29 13:26 bugmaster Changeset attached => occt master c7ba4578
2017-09-29 13:26 bugmaster Status tested => verified
2017-09-29 13:26 bugmaster Resolution open => fixed
2017-09-29 17:11 git Note Added: 0070995
2017-10-04 13:11 abv Relationship added related to 0011500
2018-02-20 12:59 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker